#include <QCoreApplication>
#include <QNetworkAccessManager>
#include <QNetworkReply>
#include <QEventLoop>
#include <QDebug>

int main(int argc, char *argv[])
{
        QCoreApplication app(argc, argv);

        QNetworkAccessManager manager;
        QNetworkReply *reply = manager.get(QNetworkRequest(QUrl(QStringLiteral("https://google.com"))));
        QEventLoop loop;
        QObject::connect(reply, &QNetworkReply::finished, &loop, &QEventLoop::quit);
        loop.exec();
        if (reply->error() != QNetworkReply::NoError) {
            qWarning() << "https://google.com is not accessible" << reply->errorString();
        }
        qDebug() << "DONE" << reply->error() << reply->readAll();

}
